Subject: Re: [GSoC] Week 3 and week 4 status update

From: Derrick Stolee <[email-masked]>
Date: Tue, 12 Jul 2022 07:16:22 -0600

On 7/12/22 2:24 AM, Shaoxuan Yuan wrote:
> Hi Git community,
> 
> Here is Shaoxuan Yuan.
> 
> I'm writing to share my latest progress [1] from GSoC week 3 and week 4.

Thanks for the report!

> This week I'm working to ship a PATCH v5 [2] (please reference all the
> code here) to address the issues raised in PATCH v4 [3].

(I think this is left over from earlier?)

> The good news is, that PATCH v5 is being queued into the 'next' branch, which
> means it could potentially be merged into 'master'. It marks that this stage
> of work is almost done.

In fact, the latest "What's Cooking" says this:

* sy/mv-out-of-cone (2022-07-01) 8 commits
  (merged to 'next' on 2022-07-08 at 654970fdb7)
 + mv: add check_dir_in_index() and solve general dir check issue
 + mv: use flags mode for update_mode
 + mv: check if <destination> exists in index to handle overwriting
 + mv: check if out-of-cone file exists in index with SKIP_WORKTREE bit
 + mv: decouple if/else-if checks using goto
 + mv: update sparsity after moving from out-of-cone to in-cone
 + t1092: mv directory from out-of-cone to in-cone
 + t7002: add tests for moving out-of-cone file/directory

 "git mv A B" in a sparsely populated working tree can be asked to
 move a path between directories that are "in cone" (i.e. expected
 to be materialized in the working tree) and "out of cone"
 (i.e. expected to be hidden).  The handling of such cases has been
 improved.

 Will merge to 'master'.
 source: <[email-masked]>

So, it is already in 'next' and will merge to 'master' soon. You
should expect those commits to be final (barring anything drastic
noticed during the cooking phase) so you can send your next set
of patches. Just make sure to point out in the cover letter that
they are based on sy/mv-out-of-cone. That branch is available in
the gitgitgadget/git repository so you can base a PR against it,
if you want.

Thanks,
-Stolee